- [HTTP request](https://docs.cloud.google.com/apigee/docs/reference/apis/apihub/rest/v1/projects.locations.runtimeProjectAttachments/list#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/apigee/docs/reference/apis/apihub/rest/v1/projects.locations.runtimeProjectAttachments/list#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/apigee/docs/reference/apis/apihub/rest/v1/projects.locations.runtimeProjectAttachments/list#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/apigee/docs/reference/apis/apihub/rest/v1/projects.locations.runtimeProjectAttachments/list#body.request_body)
- [Response body](https://docs.cloud.google.com/apigee/docs/reference/apis/apihub/rest/v1/projects.locations.runtimeProjectAttachments/list#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/apigee/docs/reference/apis/apihub/rest/v1/projects.locations.runtimeProjectAttachments/list#body.ListRuntimeProjectAttachmentsResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/apigee/docs/reference/apis/apihub/rest/v1/projects.locations.runtimeProjectAttachments/list#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/apigee/docs/reference/apis/apihub/rest/v1/projects.locations.runtimeProjectAttachments/list#body.aspect_1)

List runtime projects attached to the host project.

### HTTP request

`GET https://apihub.googleapis.com/v1/{parent=projects/*/locations/*}/runtimeProjectAttachments`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The parent, which owns this collection of runtime project attachments. Format: `projects/{project}/locations/{location}` |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` Optional. The maximum number of runtime project attachments to return. The service may return fewer than this value. If unspecified, at most 50 runtime project attachments will be returned. The maximum value is 1000; values above 1000 will be coerced to 1000. |
| `pageToken` | `string` Optional. A page token, received from a previous `runtimeProjectAttachments.list` call. Provide this to retrieve the subsequent page. When paginating, all other parameters (except pageSize) provided to `runtimeProjectAttachments.list` must match the call that provided the page token. |
| `filter` | `string` Optional. An expression that filters the list of RuntimeProjectAttachments. A filter expression consists of a field name, a comparison operator, and a value for filtering. The value must be a string. All standard operators as documented at <https://google.aip.dev/160> are supported. The following fields in the `RuntimeProjectAttachment` are eligible for filtering: - `name` - The name of the RuntimeProjectAttachment. - `create_time` - The time at which the RuntimeProjectAttachment was created. The value should be in the (RFC3339)\[https://tools.ietf.org/html/rfc3339\] format. - `runtime_project` - The Google cloud project associated with the RuntimeProjectAttachment. |
| `orderBy` | `string` Optional. Hint for how to order the results. |

### Request body

The request body must be empty.

### Response body

The `https://docs.cloud.google.com/apigee/docs/reference/apis/apihub/rest/v1/projects.locations.runtimeProjectAttachments/list#google.cloud.apihub.v1.RuntimeProjectAttachmentService.ListRuntimeProjectAttachments` method's response.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "runtimeProjectAttachments": [ { object (`https://docs.cloud.google.com/apigee/docs/reference/apis/apihub/rest/v1/projects.locations.runtimeProjectAttachments#RuntimeProjectAttachment`) } ], "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `runtimeProjectAttachments[]` | ``object (`https://docs.cloud.google.com/apigee/docs/reference/apis/apihub/rest/v1/projects.locations.runtimeProjectAttachments#RuntimeProjectAttachment`)`` List of runtime project attachments. |
| `nextPageToken` | `string` A token, which can be sent as `pageToken` to retrieve the next page. If this field is omitted, there are no subsequent pages. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/apihub.readonly`
- `
  https://www.googleapis.com/auth/apihub.readwrite`
- `
  https://www.googleapis.com/auth/cloud-platform`

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `parent` resource:

- `apihub.runTimeProjectAttachments.list`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).